@use "sass:map";
@use "../abstracts/colors";
@use "../abstracts/mixins";
@use "../abstracts/variables";

.pie-chart-area {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 2rem 5rem;
    margin: 1rem 1rem;

    img {
        margin: 0;
    }
}

.pie-chart {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.gallery-area {
    margin: 2rem 0;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: stretch;
    justify-content: center;

    @include mixins.respond-to(medium) {
        flex-direction: row;
    }
}

.gallery {
    background-color: map.get(colors.$colors, highlight-box);
    border-radius: variables.$border-radius;
    padding: 1rem;

    p {
        margin: 0;
        padding: 0;
    }

    h3 {
        margin-top: 0;
    }

    li {
        margin: 0;
    }

    img {
        margin: 0;
        border-top-left-radius: variables.$border-radius;
        border-top-right-radius: variables.$border-radius;
    }
}

.grid-gallery {
    margin: 1rem 0;
    display: flex;
    gap: 2rem;
    flex-wrap: wrap;
    justify-content: center;

    img {
        margin: 0;
    }
}
